Bug 275660 - Remove tag non-working when using face view
Summary: Remove tag non-working when using face view
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Faces-Engine (show other bugs)
Version: 2.0.0
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-14 22:36 UTC by Gareth
Modified: 2012-06-27 10:24 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gareth 2011-06-14 22:36:27 UTC
Version:           2.0.0 (using Devel) 
OS:                Linux

Whilst performing a face detection search, several non-faces were detected (expected)
Under the My Tags, people, unknown album, selecting the album shows a list of thumbnails. 
Selecting the image, hovering over it, a tick and a - appear, clicking the - successfully removes the tag.
However, if the view image option at the top is selected (meaning that I get a bar of thumbnails, then a large image), I can see exactly where the face was 'detected' This is a white box, and if hovered near, a box with a tick/confirm and remove is presented. However, clicking the remove does not update the database. 
Clicking this button, does remove the detected box. However, the number of images detected in the album doesn't decrement if it is the last image in the album. 
Also, after closing the image and re-opening the album (or going back to the thumbnail view, which refreshes the album) the incorrect tag is obviously still there (confirmed by clicking the view image option). Clicking the remove option from the thumbnail confirms that the tag can be removed successfully.

Summary, clicking remove tag when in image view does not remove the tag on a face.

Reproducible: Always

Steps to Reproduce:
Select tagged image from face detection
View with view image (not thumbnail)
Remove tag - expected behaviour tag is removed and box disappears.
refresh album - tag has re-appeared

Actual Results:  
Tag appears to be removed from 'running program' but refresh of data (reloading album) shows tag is still present

Expected Results:  
Tag should have been removed

GIT checkout performed ~1800 GMT 14th June 2011
Comment 1 Marcel Wiesweg 2011-06-21 22:22:27 UTC
Confirmed. Faces are removed correctly, but in the next step added again by the method that should account for moved faces.
Comment 2 Marcel Wiesweg 2011-06-21 22:25:13 UTC
Git commit 74acd26ccef4b4cac8102eb35107d0fd2c392a02 by Marcel Wiesweg.
Committed on 21/06/2011 at 22:22.
Pushed by mwiesweg into branch 'master'.

- ensure that the method to apply geometry changes does not re-add deleted faces
- fix warning

BUG: 275660

M  +1    -2    NEWS     
M  +4    -1    libs/widgets/graphicsview/itemvisibilitycontroller.cpp     
M  +5    -0    utilities/facedetection/facegroup.cpp     

http://commits.kde.org/digikam/74acd26ccef4b4cac8102eb35107d0fd2c392a02